*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #898121E5;

}

/* top header */
.logo-container{
    background: #F7F1E5;
    
}

.header-img{
    width: 150px;
    height: auto;
    display: block;
}

/* nav bar */

nav {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    background-color: #F7F1E5;
}
.nav a {
   text-align: center;
   cursor: pointer;
   border-left: 1px;
   text-transform: uppercase;
   text-decoration: none;
   padding: 0.25rem 0.5rem;
   
   
}
.nav-banner{

    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    padding: 10px;
    align-items: center;
    justify-content: flex-end;
    height: 10vh;
    width: 30vh ;
    
}
 .banner-buttons-div{
   width: 100px;
    display: flex;
    align-items: center;
} 


.banner a {
   background-color: #F7F1E5;
   border-radius: 5px;
   color: black;
   font-size: 14px;
   font-weight: bold;
   padding: 10px 30px;
   text-align: center;
   transition: background-color 0.3s ease;
   margin-right: 35px;
   margin: 30px;
   justify-content: space-evenly;
   
}
.banner-button:hover {
    background-color: #898121E5;
}


/* intro styles*/

.intro-container h2{
    text-align: center;
    font-size: 40px;
    justify-content: space-between;
    margin: 6vw;
    margin-bottom: 3vw;
}
.intro-text{
    display: flex;
    justify-content: center;
    text-align: justify;
    line-height: 1.5;
    margin:2rem;
    font-size: 2rem;
    margin-right: 2vw;
}

/*grid styles*/

/*.grid{
    display: grid;
    grid-template-columns:repeat(3.1fr);
    gap: 5vh;
    justify-items: center;
    align-items: center;
    margin: 2vw;

}*/

.grid{/*content-section*/
    display: grid;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.grid-item{/*cards*/
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0,0, 0.8);
    background-color: #E7B10A;
    padding: 2vw;
    flex-direction: column;
    align-items: center;
    display: flex;
    margin: 4vw;

}
.grid-item h2,
.grid-item
.grid-item p{
    margin-bottom: 2vh;
}

.grid-item:hover{
    transform: translate(-0.5%);
    box-shadow: 0 4rem 8 rem black;
}

.card-btn{
    display: block;
    width: 50%;
    margin-top: 15px;
    padding: 1rem;
    font-size: 2rem;
    text-align: center;
    color: #4C4B16CC;
    background-color: #F7F1E5;
    border: none;
    border-radius: 0.4rem;
    transition: 0.2s;
    cursor: pointer;
    letter-spacing: 0.1rem;

    display: flex;
    align-items: center;
    justify-content: center;
}


.card-btn span{
    margin-left: 1rem;
    transition: 0.2s;
}
.card-btn:hover,
.card-btn:active{
    background-color: #F7F1E5;
}
.card-btn:hover span,
.card-btn:active span{
    margin-left: 1.5rem;
}

img{
    width: 80%;
    height: 30vw;
}

.grid-item p{
    font-size: 20px;
}


/* footer section */
.footer{
    height: 7vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.footer-container{
    width: 100vw;
    height: 30vh;
    padding: 70px 30px 20px;
    background-color: #4C4B16CC;
}
.socialIcons{
    display: flex;
    justify-content: center;
}
.socialIcons a {
    text-decoration: none;
    padding: 10px;
    background-color: white;
    margin: 10px;
    border-radius: 50%;
}
.socialIcons a i{
    font-size: 2em;
    color: #898121E5;
    opacity: 0.9;
}
/* hover effect on social media Icons*/
.socialIcons a:hover{
    background-color: #898121E5;
    transition: 0.5s;
}
.socialIcons a:hover i{
    color: white;
    transition: 0.5s;
}
.footerNav{
    margin: 30px 0;
}
.footerNav ul{
    display: flex;
    justify-content: center;
}
.footerNav ul li a{
    color: black;
    margin: 20px;
    text-decoration: none;
    font-size: 1.3em;
    opacity: 0.7;
    transition: 0.5s;
}
.footerNav ul li a:hover{
opacity: 0.5;
}
.footerBottom{
    width: 100vw;
    background-color: #4C4B16CC;
    padding: 20px;
    text-align: center;
}
.footerBottom p{
    color: white;
}

/* desktop */
@media screen and (min-width: 1280px){
    *{
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    
    body{
        background-color: #898121E5;
    
    }
    
    /* top header */
    .logo-container{
        background: #F7F1E5;
        
    }
    
    .header-img{
        width: 150px;
        height: auto;
        display: block;
    }
    
    /* nav bar */
    
    nav {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-evenly;
        background-color: #F7F1E5;
    }
    .nav a {
       text-align: center;
       cursor: pointer;
       border-left: 1px;
       text-transform: uppercase;
       text-decoration: none;
       padding: 0.25rem 0.5rem;
       
       
    }
    .nav-banner{
    
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-evenly;
        padding: 10px;
        align-items: center;
        justify-content: flex-end;
        height: 10vh;
        width: 30vh ;
        
    }
     .banner-buttons-div{
       width: 100px;
        display: flex;
        align-items: center;
    } 
    
    
    .banner a {
       background-color: #F7F1E5;
       border-radius: 5px;
       color: black;
       font-size: 14px;
       font-weight: bold;
       padding: 10px 30px;
       text-align: center;
       transition: background-color 0.3s ease;
       margin-right: 35px;
       margin: 30px;
       justify-content: space-evenly;
       
    }
    .banner-button:hover {
        background-color: #898121E5;
    }
    
    
    /* intro styles*/
    
    .intro-container h2{
        text-align: center;
        font-size: 40px;
        justify-content: space-between;
        margin: 6vw;
        margin-bottom: 3vw;
    }
    .intro-text{
        display: flex;
        justify-content: center;
        text-align: justify;
        line-height: 1.5;
        margin:2rem;
        font-size: 2rem;
        margin-right: 2vw;
    }
    
    /*grid styles*/
    
    /*.grid{
        display: grid;
        grid-template-columns:repeat(3.1fr);
        gap: 5vh;
        justify-items: center;
        align-items: center;
        margin: 2vw;
    
    }*/
    
    .grid{/*content-section*/
        display: grid;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .grid-item{/*cards*/
        border-radius: 15px;
        overflow: hidden;
        box-shadow: 0 0 10px rgba(0, 0,0, 0.8);
        background-color: #E7B10A;
        padding: 2vw;
        flex-direction: column;
        align-items: center;
        display: flex;
        margin: 4vw;
    
    }
    .grid-item h2,
    .grid-item
    .grid-item p{
        margin-bottom: 2vh;
    }
    
    .grid-item:hover{
        transform: translate(-0.5%);
        box-shadow: 0 4rem 8 rem black;
    }
    
    .card-btn{
        display: block;
        width: 50%;
        margin-top: 15px;
        padding: 1rem;
        font-size: 2rem;
        text-align: center;
        color: #4C4B16CC;
        background-color: #F7F1E5;
        border: none;
        border-radius: 0.4rem;
        transition: 0.2s;
        cursor: pointer;
        letter-spacing: 0.1rem;
    
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    
    .card-btn span{
        margin-left: 1rem;
        transition: 0.2s;
    }
    .card-btn:hover,
    .card-btn:active{
        background-color: #F7F1E5;
    }
    .card-btn:hover span,
    .card-btn:active span{
        margin-left: 1.5rem;
    }
    
    img{
        width: 80%;
        height: 30vw;
    }
    
    .grid-item p{
        font-size: 20px;
    }
    
    
    /* footer section */
    .footer{
        height: 7vh;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .footer-container{
        width: 100vw;
        height: 30vh;
        padding: 70px 30px 20px;
        background-color: #4C4B16CC;
    }
    .socialIcons{
        display: flex;
        justify-content: center;
    }
    .socialIcons a {
        text-decoration: none;
        padding: 10px;
        background-color: white;
        margin: 10px;
        border-radius: 50%;
    }
    .socialIcons a i{
        font-size: 2em;
        color: #898121E5;
        opacity: 0.9;
    }
    /* hover effect on social media Icons*/
    .socialIcons a:hover{
        background-color: #898121E5;
        transition: 0.5s;
    }
    .socialIcons a:hover i{
        color: white;
        transition: 0.5s;
    }
    .footerNav{
        margin: 30px 0;
    }
    .footerNav ul{
        display: flex;
        justify-content: center;
    }
    .footerNav ul li a{
        color: black;
        margin: 20px;
        text-decoration: none;
        font-size: 1.3em;
        opacity: 0.7;
        transition: 0.5s;
    }
    .footerNav ul li a:hover{
    opacity: 0.5;
    }
    .footerBottom{
        width: 100vw;
        background-color: #4C4B16CC;
        padding: 20px;
        text-align: center;
    }
    .footerBottom p{
        color: white;
    }
}

@media screen and (min-width: 768px) and (max-width: 1023px){
    *{
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    
    body{
        background-color: #898121E5;
    
    }
    
    /* top header */
    .logo-container{
        background: #F7F1E5;
        
    }
    
    .header-img{
        width: 150px;
        height: auto;
        display: block;
    }
    
    /* nav bar */
    
    nav {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-evenly;
        background-color: #F7F1E5;
    }
    .nav a {
       text-align: center;
       cursor: pointer;
       border-left: 1px;
       text-transform: uppercase;
       text-decoration: none;
       padding: 0.25rem 0.5rem;
       
       
    }
    .nav-banner{
    
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-evenly;
        padding: 10px;
        align-items: center;
        justify-content: flex-end;
        height: 10vh;
        width: 30vh ;
        
    }
     .banner-buttons-div{
       width: 100px;
        display: flex;
        align-items: center;
    } 
    
    
    .banner a {
       background-color: #F7F1E5;
       border-radius: 5px;
       color: black;
       font-size: 14px;
       font-weight: bold;
       padding: 10px 30px;
       text-align: center;
       transition: background-color 0.3s ease;
       margin-right: 35px;
       margin: 30px;
       justify-content: space-evenly;
       
    }
    .banner-button:hover {
        background-color: #898121E5;
    }
    
    
    /* intro styles*/
    
    .intro-container h2{
        text-align: center;
        font-size: 40px;
        justify-content: space-between;
        margin: 6vw;
        margin-bottom: 3vw;
    }
    .intro-text{
        display: flex;
        justify-content: center;
        text-align: justify;
        line-height: 1.5;
        margin:2rem;
        font-size: 2rem;
        margin-right: 2vw;
    }
    
    /*grid styles*/
    
    /*.grid{
        display: grid;
        grid-template-columns:repeat(3.1fr);
        gap: 5vh;
        justify-items: center;
        align-items: center;
        margin: 2vw;
    
    }*/
    
    .grid{/*content-section*/
        display: grid;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .grid-item{/*cards*/
        border-radius: 15px;
        overflow: hidden;
        box-shadow: 0 0 10px rgba(0, 0,0, 0.8);
        background-color: #E7B10A;
        padding: 2vw;
        flex-direction: column;
        align-items: center;
        display: flex;
        margin: 4vw;
    
    }
    .grid-item h2,
    .grid-item
    .grid-item p{
        margin-bottom: 2vh;
    }
    
    .grid-item:hover{
        transform: translate(-0.5%);
        box-shadow: 0 4rem 8 rem black;
    }
    
    .card-btn{
        display: block;
        width: 50%;
        margin-top: 15px;
        padding: 1rem;
        font-size: 2rem;
        text-align: center;
        color: #4C4B16CC;
        background-color: #F7F1E5;
        border: none;
        border-radius: 0.4rem;
        transition: 0.2s;
        cursor: pointer;
        letter-spacing: 0.1rem;
    
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    
    .card-btn span{
        margin-left: 1rem;
        transition: 0.2s;
    }
    .card-btn:hover,
    .card-btn:active{
        background-color: #F7F1E5;
    }
    .card-btn:hover span,
    .card-btn:active span{
        margin-left: 1.5rem;
    }
    
    img{
        width: 80%;
        height: 30vw;
    }
    
    .grid-item p{
        font-size: 20px;
    }
    
    
    /* footer section */
    .footer{
        height: 7vh;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .footer-container{
        width: 100vw;
        height: 30vh;
        padding: 70px 30px 20px;
        background-color: #4C4B16CC;
    }
    .socialIcons{
        display: flex;
        justify-content: center;
    }
    .socialIcons a {
        text-decoration: none;
        padding: 10px;
        background-color: white;
        margin: 10px;
        border-radius: 50%;
    }
    .socialIcons a i{
        font-size: 2em;
        color: #898121E5;
        opacity: 0.9;
    }
    /* hover effect on social media Icons*/
    .socialIcons a:hover{
        background-color: #898121E5;
        transition: 0.5s;
    }
    .socialIcons a:hover i{
        color: white;
        transition: 0.5s;
    }
    .footerNav{
        margin: 30px 0;
    }
    .footerNav ul{
        display: flex;
        justify-content: center;
    }
    .footerNav ul li a{
        color: black;
        margin: 20px;
        text-decoration: none;
        font-size: 1.3em;
        opacity: 0.7;
        transition: 0.5s;
    }
    .footerNav ul li a:hover{
    opacity: 0.5;
    }
    .footerBottom{
        width: 100vw;
        background-color: #4C4B16CC;
        padding: 20px;
        text-align: center;
    }
    .footerBottom p{
        color: white;
    }
}